POST V1/MissingBill.{ext}/MissingBillPaymentCategories

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.ProAdmin.Entities.VMGPaymentWindowConfiguration
NameDescriptionTypeAdditional information
ClientId

No description available

string

None.

PaymentWindowAMin

No description available

string

None.

PaymentWindowAMax

No description available

string

None.

PaymentWindowBMin

No description available

string

None.

PaymentWindowBMax

No description available

string

None.

PaymentWindowCMin

No description available

string

None.

PaymentWindowCmax

No description available

string

None.

Request Formats

application/json, text/json

Sample:
{
  "clientId": "sample string 1",
  "paymentWindowAMin": "sample string 2",
  "paymentWindowAMax": "sample string 3",
  "paymentWindowBMin": "sample string 4",
  "paymentWindowBMax": "sample string 5",
  "paymentWindowCMin": "sample string 6",
  "paymentWindowCmax": "sample string 7"
}

application/xml, text/xml

Sample:
<VMGPaymentWindowConfiguration xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.ProAdmin.Entities">
  <ClientId>sample string 1</ClientId>
  <PaymentWindowAMax>sample string 3</PaymentWindowAMax>
  <PaymentWindowAMin>sample string 2</PaymentWindowAMin>
  <PaymentWindowBMax>sample string 5</PaymentWindowBMax>
  <PaymentWindowBMin>sample string 4</PaymentWindowBMin>
  <PaymentWindowCMin>sample string 6</PaymentWindowCMin>
  <PaymentWindowCmax>sample string 7</PaymentWindowCmax>
</VMGPaymentWindowConfiguration>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfSystem.Object
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

Object

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "Object",
  "response": {},
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.